<script setup>
definePageMeta({
  layout: "decorated",
});

// Etape formulaire
const currentStep = ref(1);
const labels = ["Vos informations", "Votre localisation", "Vos coordonnées"];

function nextStep() {
  currentStep.value++;
}

function previousStep() {
  currentStep.value--;
}
</script>
<template>
  <section class="fr-px-2w fr-py-3w">
    <main class="fr-pt-md-14v" role="main" id="content">
      <div class="fr-container fr-container--fluid fr-mb-md-14v">
        <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
          <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
            <div class="fr-container fr-background-alt--grey fr-py-5w">
              <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
                <div class="fr-col-12">
                  <form @submit.prevent="submitForm">
                    <div v-if="currentStep === 1">
                      <div class="fr-stepper fr-mb-0 fr-pb-4w">
                        <h2 class="fr-stepper__title">
                          <span class="fr-stepper__state">Étape 1 sur 3</span>
                          Vos informations
                        </h2>
                        <div
                          class="fr-stepper__steps"
                          data-fr-current-step="1"
                          data-fr-steps="3"
                        ></div>
                        <p class="fr-stepper__details">
                          <span class="fr-text--bold">Étape suivante :</span>
                          Saisir vos coordonnées
                        </p>
                      </div>
                      <div class="fr-pt-4w">
                        <div class="fr-pb-2w">
                          <label class="fr-label" for="text-input-text"
                            >Nom</label
                          >
                          <input
                            class="fr-input"
                            type="text"
                            id="text-input-text"
                            name="text-input-text"
                          />
                        </div>
                        <div class="fr-pb-2w">
                          <label class="fr-label" for="text-input-text"
                            >Prénom</label
                          >
                          <input
                            class="fr-input"
                            type="text"
                            id="text-input-text"
                            name="text-input-text"
                          />
                        </div>
                        <div class="fr-pb-2w">
                          <label class="fr-label" for="text-input-text"
                            >Fonction</label
                          >
                          <input
                            class="fr-input"
                            type="text"
                            id="text-input-text"
                            name="text-input-text"
                          />
                        </div>
                      </div>
                    </div>
                    <div v-if="currentStep === 2">
                      <div class="fr-stepper fr-mb-0 fr-pb-4w">
                        <h2 class="fr-stepper__title">
                          <span class="fr-stepper__state">Étape 2 sur 3</span>
                          Votre localisation
                        </h2>
                        <div
                          class="fr-stepper__steps"
                          data-fr-current-step="2"
                          data-fr-steps="3"
                        ></div>
                        <p class="fr-stepper__details">
                          <span class="fr-text--bold">Étape suivante :</span>
                          Saisir vos coordonnées
                        </p>
                      </div>
                      <div class="fr-pt-4w">
                        <div class="fr-pb-2w">
                          <label class="fr-label" for="text-input-text"
                            >Code Postal</label
                          >
                          <input
                            class="fr-input"
                            type="text"
                            id="text-input-text"
                            name="text-input-text"
                          />
                        </div>
                        <div class="fr-pb-2w">
                          <label class="fr-label" for="text-input-text"
                            >Commune</label
                          >
                          <input
                            class="fr-input"
                            type="text"
                            id="text-input-text"
                            name="text-input-text"
                          />
                        </div>
                        <div class="fr-pb-2w">
                          <label class="fr-label" for="text-input-text"
                            >N°Siren de la commune</label
                          >
                          <input
                            class="fr-input"
                            type="text"
                            id="text-input-text"
                            name="text-input-text"
                          />
                        </div>
                      </div>
                    </div>
                    <div v-if="currentStep === 3">
                      <div class="fr-stepper fr-mb-0 fr-pb-4w">
                        <h2 class="fr-stepper__title">
                          <span class="fr-stepper__state">Étape 3 sur 3</span>
                          Vos coordonnées
                        </h2>
                        <div
                          class="fr-stepper__steps"
                          data-fr-current-step="3"
                          data-fr-steps="3"
                        ></div>
                      </div>
                      <div class="fr-pt-4w">
                        <div class="fr-pb-2w">
                          <label class="fr-label" for="text-input-text"
                            >Email</label
                          >
                          <input
                            class="fr-input"
                            type="text"
                            id="text-input-text"
                            name="text-input-text"
                          />
                        </div>
                        <div class="fr-pb-2w">
                          <label class="fr-label" for="text-input-text"
                            >Téléphone</label
                          >
                          <input
                            class="fr-input"
                            type="text"
                            id="text-input-text"
                            name="text-input-text"
                          />
                        </div>
                      </div>
                    </div>
                  </form>
                </div>
                <ul class="fr-btns-group fr-mt-2w">
                  <li v-show="currentStep > 1">
                    <button
                      class="fr-btn fr-btn--secondary"
                      type="button"
                      @click="previousStep"
                    >
                      Revenir
                    </button>
                  </li>
                  <li v-show="currentStep < labels.length">
                    <button class="fr-btn" type="button" @click="nextStep">
                      Suivant
                    </button>
                  </li>
                  <li v-show="currentStep === labels.length">
                    <button class="fr-btn" type="submit">Envoyer</button>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
  </section>
</template>

<style scoped>
ul {
  width: 95%;
  background-color: var(--background-default-grey);
  position: fixed;
  bottom: 0;
}

.fr-background-alt--grey {
  background-color: var(--background-alt-grey);
}

.fr-stepper {
  border-bottom: 1px solid var(--border-default-grey);
}
</style>
